complexType "CommodityPremium"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentDate?, paymentAmount?, premiumPerUnit?
</...>

Content Model Elements (7):

  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  premiumPerUnit,
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (2):

  premium (in commodityOption), | premium (in commoditySwaption)

Known Usage Locations

- As direct type of elements (2):

  premium (in commodityOption), | premium (in commoditySwaption)

Annotation
The commodity option premium payable by the buyer to the seller.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended (extension) NonNegativePayment (extension) CommodityPremium

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityPremium"> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumPerUnit" type="NonNegativeMoney"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
premiumPerUnit

  Type: | NonNegativeMoney, complex content

  The currency amount of premium to be paid per Unit of the Total Notional Quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumPerUnit" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.